Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class Pheromone

    java.lang.Object
      sema.Element
          modelling.Pheromone

All Implemented Interfaces:
  java.lang.Comparable, Signal

public class Pheromone
extends Element
implements Signal

The pheromona acts as a fix signal, that may be percieved and may return its content.

Nested Class Summary

Nested classes inherited from class sema.Element
`Element.ElementEvent`

Field Summary

Fields inherited from class sema.Element
`id, world`

Constructor Summary
`Pheromone(World world, Area area, java.awt.Image image, java.lang.String contents, double during, Selector selector)` Creates a new pheromone that may be percieved by the element satisfying the selector.
`Pheromone(World world, Area area, java.awt.Image image, java.lang.String contents, double during, java.lang.String kind)` Creates a new pheromone percieved by the elements of the given kind.

Method Summary
`java.lang.String` | `getContents()` Returns the message contained.
`Selector` | `getSelector()` Returns the selector.

Methods inherited from class sema.Element
`canTake, compareTo, death, draw, getArea, getDrawingPriority, getHeight, getIcon, getImage, getKind, getName, getProperties, highlight, highlight, isMarked, kill, setDrawingPriority, setHeight, setKind, setMarked, setProperties, toString, union`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface sema.Signal
`getArea`

Constructor Detail

### Pheromone

    public Pheromone(World world,
                     Area area,
                     java.awt.Image image,
                     java.lang.String contents,
                     double during,
                     Selector selector)

  Creates a new pheromone that may be percieved by the element satisfying the selector.

### Pheromone

    public Pheromone(World world,
                     Area area,
                     java.awt.Image image,
                     java.lang.String contents,
                     double during,
                     java.lang.String kind)

  Creates a new pheromone percieved by the elements of the given kind.

Method Detail

### getContents

    public java.lang.String getContents()

  Returns the message contained.

  Specified by:
    `getContents` in interface `Signal`

### getSelector

    public Selector getSelector()

  Returns the selector.

  Specified by:
    `getSelector` in interface `Signal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD